<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>VotingPeriodModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="2551pt" height="211pt"
 viewBox="0.00 0.00 2551.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 2547,-207 2547,4 -4,4"/>
<text text-anchor="start" x="1250.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1037.5,-10 1037.5,-30 1057.5,-30 1057.5,-10 1037.5,-10"/>
<text text-anchor="start" x="1061.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1150.5,-10 1150.5,-30 1170.5,-30 1170.5,-10 1150.5,-10"/>
<text text-anchor="start" x="1174.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1236.5,-10 1236.5,-30 1256.5,-30 1256.5,-10 1236.5,-10"/>
<text text-anchor="start" x="1260.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1333.5,-10 1333.5,-30 1353.5,-30 1353.5,-10 1333.5,-10"/>
<text text-anchor="start" x="1357.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1429.5,-10 1429.5,-30 1449.5,-30 1449.5,-10 1429.5,-10"/>
<text text-anchor="start" x="1453.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_VotingPeriodModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 2535,-195 2535,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_VotingPeriodModule_declarations</title>
<polygon fill="none" stroke="#000000" points="914,-78 914,-130 2527,-130 2527,-78 914,-78"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_VotingPeriodModule_imports</title>
<polygon fill="none" stroke="#000000" points="594,-78 594,-130 906,-130 906,-78 594,-78"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_VotingPeriodModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 586,-130 586,-78 16,-78"/>
</g>
<!-- KeyViewComponent -->
<g id="node1" class="node">
<title>KeyViewComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2519.472,-122 2384.528,-122 2384.528,-86 2519.472,-86 2519.472,-122"/>
<text text-anchor="middle" x="2452" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">KeyViewComponent</text>
</g>
<!-- VotingPeriodModule -->
<g id="node8" class="node">
<title>VotingPeriodModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1312.486,-187 1309.486,-191 1288.486,-191 1285.486,-187 1177.514,-187 1177.514,-151 1312.486,-151 1312.486,-187"/>
<text text-anchor="middle" x="1245" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingPeriodModule</text>
</g>
<!-- KeyViewComponent&#45;&gt;VotingPeriodModule -->
<g id="edge1" class="edge">
<title>KeyViewComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M2452,-122.0908C2452,-145.1328 2452,-182 2452,-182 2452,-182 1322.9153,-182 1322.9153,-182"/>
<polygon fill="#000000" stroke="#000000" points="1322.9153,-178.5001 1312.9153,-182 1322.9152,-185.5001 1322.9153,-178.5001"/>
</g>
<!-- SelectedElectoralAuthorityKeyCardComponent -->
<g id="node2" class="node">
<title>SelectedElectoralAuthorityKeyCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2366.2555,-122 2081.7445,-122 2081.7445,-86 2366.2555,-86 2366.2555,-122"/>
<text text-anchor="middle" x="2224" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SelectedElectoralAuthorityKeyCardComponent</text>
</g>
<!-- SelectedElectoralAuthorityKeyCardComponent&#45;&gt;VotingPeriodModule -->
<g id="edge2" class="edge">
<title>SelectedElectoralAuthorityKeyCardComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M2224,-122.2843C2224,-143.3211 2224,-175 2224,-175 2224,-175 1322.6769,-175 1322.6769,-175"/>
<polygon fill="#000000" stroke="#000000" points="1322.6769,-171.5001 1312.6769,-175 1322.6769,-178.5001 1322.6769,-171.5001"/>
</g>
<!-- SelectedElectoralAuthorityKeyEditComponent -->
<g id="node3" class="node">
<title>SelectedElectoralAuthorityKeyEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2064.3777,-122 1783.6223,-122 1783.6223,-86 2064.3777,-86 2064.3777,-122"/>
<text text-anchor="middle" x="1924" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SelectedElectoralAuthorityKeyEditComponent</text>
</g>
<!-- SelectedElectoralAuthorityKeyEditComponent&#45;&gt;VotingPeriodModule -->
<g id="edge3" class="edge">
<title>SelectedElectoralAuthorityKeyEditComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M1924,-122.1061C1924,-141.3391 1924,-169 1924,-169 1924,-169 1322.5875,-169 1322.5875,-169"/>
<polygon fill="#000000" stroke="#000000" points="1322.5875,-165.5001 1312.5875,-169 1322.5875,-172.5001 1322.5875,-165.5001"/>
</g>
<!-- VotingPeriodComponent -->
<g id="node4" class="node">
<title>VotingPeriodComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1765.2688,-122 1608.7312,-122 1608.7312,-86 1765.2688,-86 1765.2688,-122"/>
<text text-anchor="middle" x="1687" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingPeriodComponent</text>
</g>
<!-- VotingPeriodComponent&#45;&gt;VotingPeriodModule -->
<g id="edge4" class="edge">
<title>VotingPeriodComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M1687,-122.0225C1687,-139.3734 1687,-163 1687,-163 1687,-163 1322.6114,-163 1322.6114,-163"/>
<polygon fill="#000000" stroke="#000000" points="1322.6115,-159.5001 1312.6114,-163 1322.6114,-166.5001 1322.6115,-159.5001"/>
</g>
<!-- VotingPeriodNotificationComponent -->
<g id="node5" class="node">
<title>VotingPeriodNotificationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1590.4184,-122 1365.5816,-122 1365.5816,-86 1590.4184,-86 1590.4184,-122"/>
<text text-anchor="middle" x="1478" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingPeriodNotificationComponent</text>
</g>
<!-- VotingPeriodNotificationComponent&#45;&gt;VotingPeriodModule -->
<g id="edge5" class="edge">
<title>VotingPeriodNotificationComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M1478,-122.2396C1478,-137.5706 1478,-157 1478,-157 1478,-157 1322.7062,-157 1322.7062,-157"/>
<polygon fill="#000000" stroke="#000000" points="1322.7063,-153.5001 1312.7062,-157 1322.7062,-160.5001 1322.7063,-153.5001"/>
</g>
<!-- VotingSitePeriodCardComponent -->
<g id="node6" class="node">
<title>VotingSitePeriodCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1347.7589,-122 1142.2411,-122 1142.2411,-86 1347.7589,-86 1347.7589,-122"/>
<text text-anchor="middle" x="1245" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingSitePeriodCardComponent</text>
</g>
<!-- VotingSitePeriodCardComponent&#45;&gt;VotingPeriodModule -->
<g id="edge6" class="edge">
<title>VotingSitePeriodCardComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M1245,-122.1061C1245,-122.1061 1245,-140.991 1245,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="1241.5001,-140.9909 1245,-150.991 1248.5001,-140.991 1241.5001,-140.9909"/>
</g>
<!-- VotingSitePeriodEditComponent -->
<g id="node7" class="node">
<title>VotingSitePeriodEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1123.8808,-122 922.1192,-122 922.1192,-86 1123.8808,-86 1123.8808,-122"/>
<text text-anchor="middle" x="1023" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingSitePeriodEditComponent</text>
</g>
<!-- VotingSitePeriodEditComponent&#45;&gt;VotingPeriodModule -->
<g id="edge7" class="edge">
<title>VotingSitePeriodEditComponent&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M1023,-122.2396C1023,-137.5706 1023,-157 1023,-157 1023,-157 1167.4885,-157 1167.4885,-157"/>
<polygon fill="#000000" stroke="#000000" points="1167.4885,-160.5001 1177.4885,-157 1167.4884,-153.5001 1167.4885,-160.5001"/>
</g>
<!-- SharedModule -->
<g id="node9" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="898.4231,-122 895.4231,-126 874.4231,-126 871.4231,-122 799.5769,-122 799.5769,-86 898.4231,-86 898.4231,-122"/>
<text text-anchor="middle" x="849" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;VotingPeriodModule -->
<g id="edge8" class="edge">
<title>SharedModule&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M849,-122.0225C849,-139.3734 849,-163 849,-163 849,-163 1167.3751,-163 1167.3751,-163"/>
<polygon fill="#000000" stroke="#000000" points="1167.3752,-166.5001 1177.3751,-163 1167.3751,-159.5001 1167.3752,-166.5001"/>
</g>
<!-- VotingPeriodRoutingModule -->
<g id="node10" class="node">
<title>VotingPeriodRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="782.1038,-122 779.1038,-126 758.1038,-126 755.1038,-122 601.8962,-122 601.8962,-86 782.1038,-86 782.1038,-122"/>
<text text-anchor="middle" x="692" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingPeriodRoutingModule</text>
</g>
<!-- VotingPeriodRoutingModule&#45;&gt;VotingPeriodModule -->
<g id="edge9" class="edge">
<title>VotingPeriodRoutingModule&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M692,-122.1061C692,-141.3391 692,-169 692,-169 692,-169 1167.468,-169 1167.468,-169"/>
<polygon fill="#000000" stroke="#000000" points="1167.468,-172.5001 1177.468,-169 1167.468,-165.5001 1167.468,-172.5001"/>
</g>
<!-- SelectedElectoralAuthorityKeyService -->
<g id="node11" class="node">
<title>SelectedElectoralAuthorityKeyService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="417" cy="-104" rx="161.3888" ry="18"/>
<text text-anchor="middle" x="417" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SelectedElectoralAuthorityKeyService</text>
</g>
<!-- SelectedElectoralAuthorityKeyService&#45;&gt;VotingPeriodModule -->
<g id="edge10" class="edge">
<title>SelectedElectoralAuthorityKeyService&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M417,-122.2843C417,-143.3211 417,-175 417,-175 417,-175 1167.2413,-175 1167.2413,-175"/>
<polygon fill="#000000" stroke="#000000" points="1167.2413,-178.5001 1177.2413,-175 1167.2412,-171.5001 1167.2413,-178.5001"/>
</g>
<!-- VotingSitePeriodService -->
<g id="node12" class="node">
<title>VotingSitePeriodService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="131" cy="-104" rx="107.0975" ry="18"/>
<text text-anchor="middle" x="131" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingSitePeriodService</text>
</g>
<!-- VotingSitePeriodService&#45;&gt;VotingPeriodModule -->
<g id="edge11" class="edge">
<title>VotingSitePeriodService&#45;&gt;VotingPeriodModule</title>
<path fill="none" stroke="#000000" d="M131,-122.0908C131,-145.1328 131,-182 131,-182 131,-182 1167.4077,-182 1167.4077,-182"/>
<polygon fill="#000000" stroke="#000000" points="1167.4077,-185.5001 1177.4077,-182 1167.4077,-178.5001 1167.4077,-185.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/voting-period/voting-period.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/KeyViewComponent.html">KeyViewComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SelectedElectoralAuthorityKeyCardComponent.html">SelectedElectoralAuthorityKeyCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SelectedElectoralAuthorityKeyEditComponent.html">SelectedElectoralAuthorityKeyEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingPeriodComponent.html">VotingPeriodComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingPeriodNotificationComponent.html">VotingPeriodNotificationComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingSitePeriodCardComponent.html">VotingSitePeriodCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingSitePeriodEditComponent.html">VotingSitePeriodEditComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/SelectedElectoralAuthorityKeyService.html">SelectedElectoralAuthorityKeyService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/VotingSitePeriodService.html">VotingSitePeriodService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/VotingPeriodRoutingModule.html">VotingPeriodRoutingModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { SharedModule } from &#x27;../../shared/shared.module&#x27;;
import { VotingPeriodRoutingModule } from &#x27;./voting-period-routing.module&#x27;;
import { VotingPeriodComponent } from &#x27;./voting-period.component&#x27;;
import { VotingPeriodNotificationComponent } from &#x27;./voting-period-notification/voting-period-notification.component&#x27;;
import { SelectedElectoralAuthorityKeyCardComponent } from &#x27;./selected-electoral-authority-key/card/selected-electoral-authority-key.card.component&#x27;;
import { SelectedElectoralAuthorityKeyEditComponent } from &#x27;./selected-electoral-authority-key/edit/selected-electoral-authority-key.edit.component&#x27;;
import { SelectedElectoralAuthorityKeyService } from &#x27;./selected-electoral-authority-key/selected-electoral-authority-key.service&#x27;;
import { VotingSitePeriodCardComponent } from &#x27;./voting-site-period/voting-site-period-card/voting-site-period-card.component&#x27;;
import { VotingSitePeriodEditComponent } from &#x27;./voting-site-period/voting-site-period-edit/voting-site-period-edit.component&#x27;;
import { VotingSitePeriodService } from &#x27;./voting-site-period/voting-site-period.service&#x27;;
import { KeyViewComponent } from &#x27;./selected-electoral-authority-key/edit/key-view/key-view.component&#x27;;

@NgModule({
  imports: [
    SharedModule,
    VotingPeriodRoutingModule,
  ],
  declarations: [
    VotingPeriodComponent,
    VotingPeriodNotificationComponent,
    SelectedElectoralAuthorityKeyCardComponent,
    SelectedElectoralAuthorityKeyEditComponent,
    VotingSitePeriodCardComponent,
    VotingSitePeriodEditComponent,
    KeyViewComponent,
  ],
  providers: [
    SelectedElectoralAuthorityKeyService,
    VotingSitePeriodService
  ]
})
export class VotingPeriodModule {
}

</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'VotingPeriodModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
